import scipy.spatial

from interp.grid import grid as basegrid


class dgrid(basegrid):
    def __init__(self, points, values):
        self.points = points
        self.values = values
        self.triangulation = scipy.spatial.Delaunay(points)
        self.simplices = self.triangulation.vertices
        self.tree = scipy.spatial.KDTree(points)

    def find_simplex(self, X):
        return self.triangulation.find_simplex(X)
