import atexit
import os
import readline
import rlcompleter

historyPath = os.path.expanduser("~/.pyhistory")


def save_history(historyPath=historyPath):
    import readline
    readline.write_history_file(historyPath)

if os.path.exists(historyPath):
    readline.read_history_file(historyPath)

rl = rlcompleter

atexit.register(save_history)
del os, atexit, readline, rl, save_history, historyPath
